<?php 
class ControllerPaymentWorldNetHPP extends Controller {
	private $error = array(); 
	
	public function index() {
		$this->data = array_merge($this->data, $this->load->language('payment/worldnethpp'));
		$this->document->setTitle($this->language->get('heading_title'));
		$this->load->model('setting/setting');
		
		if (($this->request->server['REQUEST_METHOD'] == 'POST') && ($this->validate())) {
			$this->load->model('setting/setting');
			$this->model_setting_setting->editSetting('worldnethpp', $this->request->post);				
			$this->session->data['success'] = $this->language->get('text_success');
			$this->redirect(HTTPS_SERVER . 'index.php?route=extension/payment&token=' . $this->session->data['token']);
		}

 		if (isset($this->error['warning'])) $this->data['error_warning'] = $this->error['warning'];
		else $this->data['error_warning'] = '';

 		if (isset($this->error['gateway'])) $this->data['error_gateway'] = $this->error['gateway'];
		else $this->data['error_gateway'] = '';

  		if (isset($this->error['terminal1'])) $this->data['error_terminal1'] = $this->error['terminal1'];
		else $this->data['error_terminal1'] = '';

 		if (isset($this->error['secret1'])) $this->data['error_secret1'] = $this->error['secret1'];
		else $this->data['error_secret1'] = '';

  		$this->data['breadcrumbs'] = array();

   		$this->data['breadcrumbs'][] = array(
	       		'href'      => HTTPS_SERVER . 'index.php?route=common/home&token=' . $this->session->data['token'],
	       		'text'      => $this->language->get('text_home'),
	      		'separator' => FALSE
   		);

   		$this->data['breadcrumbs'][] = array(
	       		'href'      => HTTPS_SERVER . 'index.php?route=extension/payment&token=' . $this->session->data['token'],
	       		'text'      => $this->language->get('text_payment'),
	      		'separator' => ' :: '
   		);

   		$this->data['breadcrumbs'][] = array(
	       		'href'      => HTTPS_SERVER . 'index.php?route=payment/worldnethpp&token=' . $this->session->data['token'],
	       		'text'      => $this->language->get('heading_title'),
	      		'separator' => ' :: '
   		);

		$this->data['action'] = HTTPS_SERVER . 'index.php?route=payment/worldnethpp&token=' . $this->session->data['token'];
		$this->data['cancel'] = HTTPS_SERVER . 'index.php?route=extension/payment&token=' . $this->session->data['token'];
		
		if (isset($this->request->post['worldnethpp_gateway'])) $this->data['worldnethpp_gateway'] = $this->request->post['worldnethpp_gateway'];
		else $this->data['worldnethpp_gateway'] = $this->config->get('worldnethpp_gateway');

		if (isset($this->request->post['worldnethpp_currency1'])) $this->data['worldnethpp_currency1'] = $this->request->post['worldnethpp_currency1'];
		else $this->data['worldnethpp_currency1'] = $this->config->get('worldnethpp_currency1');

		if (isset($this->request->post['worldnethpp_terminal1'])) $this->data['worldnethpp_terminal1'] = $this->request->post['worldnethpp_terminal1'];
		else $this->data['worldnethpp_terminal1'] = $this->config->get('worldnethpp_terminal1');

		if (isset($this->request->post['worldnethpp_secret1'])) $this->data['worldnethpp_secret1'] = $this->request->post['worldnethpp_secret1'];
		else $this->data['worldnethpp_secret1'] = $this->config->get('worldnethpp_secret1');

		if (isset($this->request->post['worldnethpp_currency2'])) $this->data['worldnethpp_currency2'] = $this->request->post['worldnethpp_currency2'];
		else $this->data['worldnethpp_currency2'] = $this->config->get('worldnethpp_currency2');

		if (isset($this->request->post['worldnethpp_terminal2'])) $this->data['worldnethpp_terminal2'] = $this->request->post['worldnethpp_terminal2'];
		else $this->data['worldnethpp_terminal2'] = $this->config->get('worldnethpp_terminal2');
		
		if (isset($this->request->post['worldnethpp_secret2'])) $this->data['worldnethpp_secret2'] = $this->request->post['worldnethpp_secret2'];
		else $this->data['worldnethpp_secret2'] = $this->config->get('worldnethpp_secret2');

		if (isset($this->request->post['worldnethpp_currency3'])) $this->data['worldnethpp_currency3'] = $this->request->post['worldnethpp_currency3'];
		else $this->data['worldnethpp_currency3'] = $this->config->get('worldnethpp_currency3');

		if (isset($this->request->post['worldnethpp_terminal3'])) $this->data['worldnethpp_terminal3'] = $this->request->post['worldnethpp_terminal3'];
		else $this->data['worldnethpp_terminal3'] = $this->config->get('worldnethpp_terminal3');

		if (isset($this->request->post['worldnethpp_secret3'])) $this->data['worldnethpp_secret3'] = $this->request->post['worldnethpp_secret3'];
		else $this->data['worldnethpp_secret3'] = $this->config->get('worldnethpp_secret3');

		if (isset($this->request->post['worldnethpp_test'])) $this->data['worldnethpp_test'] = $this->request->post['worldnethpp_test'];
		else $this->data['worldnethpp_test'] = $this->config->get('worldnethpp_test');

		if (isset($this->request->post['worldnethpp_order_status_id'])) $this->data['worldnethpp_order_status_id'] = $this->request->post['worldnethpp_order_status_id'];
		else $this->data['worldnethpp_order_status_id'] = $this->config->get('worldnethpp_order_status_id');

		$this->load->model('localisation/order_status');
		$this->data['order_statuses'] = $this->model_localisation_order_status->getOrderStatuses();

		if (isset($this->request->post['worldnethpp_status'])) $this->data['worldnethpp_status'] = $this->request->post['worldnethpp_status'];
		else $this->data['worldnethpp_status'] = $this->config->get('worldnethpp_status');

		if (isset($this->request->post['worldnethpp_send_receipt'])) $this->data['worldnethpp_send_receipt'] = $this->request->post['worldnethpp_send_receipt'];
		else $this->data['worldnethpp_send_receipt'] = $this->config->get('worldnethpp_send_receipt');

		if (isset($this->request->post['worldnethpp_sort_order'])) $this->data['worldnethpp_sort_order'] = $this->request->post['worldnethpp_sort_order'];
		else $this->data['worldnethpp_sort_order'] = $this->config->get('worldnethpp_sort_order');

		$this->template = 'payment/worldnethpp.tpl';
		$this->children = array(
			'common/header',	
			'common/footer'	
		);

		$this->response->setOutput($this->render());
	}

	private function validate() {
		if (!$this->user->hasPermission('modify', 'payment/worldnethpp')) $this->error['warning'] = $this->language->get('error_permission');
		if (!$this->request->post['worldnethpp_gateway']) $this->error['gateway'] = $this->language->get('error_gateway');
		if (!$this->request->post['worldnethpp_terminal1']) $this->error['terminal1'] = $this->language->get('error_terminal1');
		if (!$this->request->post['worldnethpp_secret1']) $this->error['secret1'] = $this->language->get('error_secret1');
		if (!$this->error) return TRUE;
		else return FALSE;
	}
}
?>
